Bug 9653 - winbind panics in idmap_autorid for out of range unix-ID
winbind panics in idmap_autorid for out of range unix-ID
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Winbind
4.0.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-12 10:36 UTC by Michael Adam
Modified: 2013-02-18 11:33 UTC (History)
2 users (show)

See Also:


Attachments
Patch for master (891 bytes, patch)
2013-02-12 18:02 UTC, Michael Adam
no flags Details
patch for v4-0-test, cherry-picked from master (1.06 KB, patch)
2013-02-13 21:57 UTC, Michael Adam
obnox: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2013-02-12 10:36:13 UTC
configuring winbindd with "idmap config * : backend = autorid", there is a chance that the winbindd idmap child crashes due to uninitialized memory:

Do chown to a file with a uid or gid that is outide of the configured range(s), and do a "ls -l" in the directory. I my setup, winbindd panics at talloc_get_type_abort on idmap_domain->private data in idmap_autorid_unixids_to_sids().
Comment 1 Michael Adam 2013-02-12 18:02:32 UTC
Created attachment 8543 [details]
Patch for master

This is the patch that is currently on its way to master.
(But metze's first autobuild failed for a different reason..)
Comment 2 Michael Adam 2013-02-13 21:57:41 UTC
Created attachment 8548 [details]
patch for v4-0-test, cherry-picked from master

Patch for v4-0-test
Comment 3 Stefan Metzmacher 2013-02-13 21:58:36 UTC
Comment on attachment 8548 [details]
patch for v4-0-test, cherry-picked from master

Looks good
Comment 4 Stefan Metzmacher 2013-02-13 21:59:39 UTC
Karolin, please pick this to v4-0-test.

Michael, do we need this in v3-6-test, too?
Comment 5 Michael Adam 2013-02-14 08:26:37 UTC
(In reply to comment #4)
> Karolin, please pick this to v4-0-test.
> 
> Michael, do we need this in v3-6-test, too?

If I read the code right, we don't need it for 3.6.
Comment 6 Karolin Seeger 2013-02-18 08:48:51 UTC
Pushed to autobuild-v4-0-test.
Comment 7 Karolin Seeger 2013-02-18 11:33:11 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!